curl --request POST \
--url https://api.aisa.one/apis/v1/tikhub/douyin/billboard/fetch_hot_calendar_list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"city_code": "",
"category_code": "",
"end_date": 1735488000,
"start_date": 1734902400
}
'import requests
url = "https://api.aisa.one/apis/v1/tikhub/douyin/billboard/fetch_hot_calendar_list"
payload = {
"city_code": "",
"category_code": "",
"end_date": 1735488000,
"start_date": 1734902400
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({city_code: '', category_code: '', end_date: 1735488000, start_date: 1734902400})
};
fetch('https://api.aisa.one/apis/v1/tikhub/douyin/billboard/fetch_hot_calendar_list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"request_id": "<string>",
"message": "Request successful. This request will incur a charge.",
"message_zh": "Request successful; this request will be billed.",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "<string>",
"time_stamp": 123,
"time_zone": "America/Los_Angeles",
"docs": "<string>",
"cache_message": "This response is cached and accessible via the URL below for 24 hours at no extra cost. The cache is for request tracing only — it doesn't affect the API's data freshness and won't be returned through the API again.",
"cache_message_zh": "This response has been cached and can be viewed directly via the URL below; it is valid for 24 hours and accessing the cached link incurs no additional charge. The cache is for request tracing only and does not affect the freshness of the API data, nor will it be returned again through the API.",
"cache_url": "<string>",
"router": "",
"params": {},
"data": "<unknown>"
}Fetch activity calendar
Fetch activity calendar
code is 200.
Example
curl -X POST "https://api.aisa.one/apis/v1/tikhub/douyin/billboard/fetch_hot_calendar_list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}' # see request schema below
Authorizations
AIsa API key. Get yours at https://aisa.one
Body
City code from city list; leave empty for all
Hot-spot ranking category code; obtained from the hot-spot ranking categories; leave empty for all
Snapshot end time, 10-digit Unix timestamp format
Snapshot start time, 10-digit timestamp format
Response
Successful Response
HTTP status code
Unique request identifier
Response message (EN-US)
Response message (ZH-CN)
Support message
The time the response was generated
The timestamp the response was generated
The timezone of the response time
Link to the API Swagger documentation for this endpoint
Cache message (EN-US)
Cache message (ZH-CN)
The URL to access the cached result
The endpoint that generated this response
The parameters used in the request
The response data